<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::avs::NamespaceAndName Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">avs</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::avs::NamespaceAndName Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_namespace_and_name_8h_source.html">NamespaceAndName.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae9abf12ca42dec4751b76160df5a6e1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#ae9abf12ca42dec4751b76160df5a6e1c">NamespaceAndName</a> ()=default</td></tr>
<tr class="separator:ae9abf12ca42dec4751b76160df5a6e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc70d8330d4a4ea1220ea11ad378da7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#a7bc70d8330d4a4ea1220ea11ad378da7">NamespaceAndName</a> (const std::string &amp;nameSpaceIn, const std::string &amp;nameIn)</td></tr>
<tr class="separator:a7bc70d8330d4a4ea1220ea11ad378da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aaa291515dd133474ebd41250fb7aa94c"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#aaa291515dd133474ebd41250fb7aa94c">nameSpace</a></td></tr>
<tr class="memdesc:aaa291515dd133474ebd41250fb7aa94c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>namespace</code> value of this instance.  <a href="#aaa291515dd133474ebd41250fb7aa94c">More...</a><br /></td></tr>
<tr class="separator:aaa291515dd133474ebd41250fb7aa94c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff09826e461210a45d436ac1ad8fc3bd"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#aff09826e461210a45d436ac1ad8fc3bd">name</a></td></tr>
<tr class="memdesc:aff09826e461210a45d436ac1ad8fc3bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>name</code> value of this instance.  <a href="#aff09826e461210a45d436ac1ad8fc3bd">More...</a><br /></td></tr>
<tr class="separator:aff09826e461210a45d436ac1ad8fc3bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Conjoined <code>namespace</code> and <code>name</code> values (intended for identifying sub-types of <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a></code>). </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae9abf12ca42dec4751b76160df5a6e1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9abf12ca42dec4751b76160df5a6e1c">&#9670;&nbsp;</a></span>NamespaceAndName() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::NamespaceAndName::NamespaceAndName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor to initialize with default values. </p>

</div>
</div>
<a id="a7bc70d8330d4a4ea1220ea11ad378da7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bc70d8330d4a4ea1220ea11ad378da7">&#9670;&nbsp;</a></span>NamespaceAndName() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::NamespaceAndName::NamespaceAndName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>nameSpaceIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>nameIn</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor to initialize wih specific values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nameSpaceIn</td><td>The <code>namespace</code> value for this instance. </td></tr>
    <tr><td class="paramname">nameIn</td><td>The <code>name</code> value for this instance. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aff09826e461210a45d436ac1ad8fc3bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff09826e461210a45d436ac1ad8fc3bd">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::avs::NamespaceAndName::name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>name</code> value of this instance. </p>

</div>
</div>
<a id="aaa291515dd133474ebd41250fb7aa94c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa291515dd133474ebd41250fb7aa94c">&#9670;&nbsp;</a></span>nameSpace</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::avs::NamespaceAndName::nameSpace</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <code>namespace</code> value of this instance. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/<a class="el" href="_namespace_and_name_8h_source.html">NamespaceAndName.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/AVS/src/<a class="el" href="_namespace_and_name_8cpp.html">NamespaceAndName.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
